gabrielfzaban Jun 22, 2014 @ 3:26pm
euro truck simulator2 multiplayer
eu tenho o jogo da steam fico logado e quando vou baixar o mod multiplayer pela steam ele me direciona para o o proprio site da steam mas quando vou fazer o loquin fala que meu dados estao incorretos. como faço para resolver isso
Showing 1-1 of 1 comments
< >
benji0973 Oct 26, 2014 @ 10:34am 
I want to play the multiplayer version and I get the following message : "Unsupported game version detected! To play ETS2MP you need to have ETS2 1.12.1s (Steam release)!

A few days ago it has been automaticly been updated by steam to te version 1.13.4.10s.
What can I do to fix this problem.
It 's an originally buyed copy by the way and I entered the code by steam.
Greetings
Showing 1-1 of 1 comments
< >
Per page: 15 30 50
Date Posted: Jun 22, 2014 @ 3:26pm
Posts: 1